/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BL.H__   1.5   20 Jun 1996 09:29:56   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BL.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:56   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:34   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:36:38   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// bl.h
//
// Michael Long
//                                                                           
// 5/13/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _BL_
#define _BL_

class BLTool : public CToolOption
{      
// constructor/destructor
public:
    BLTool() { SetDefault(); }
    
// attributes
public:      
    BOOL    m_fZ;
    BOOL    m_fX;
    BOOL    m_fW;
    CString m_strMore;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "IAR XLINK Linker";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);

    CString GetOption(void);

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _BL_
